## org.eclipse.datatools.modelbase.dbdefinition
Class DefaultValueType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.dbdefinition.DefaultValueType

    public final class DefaultValueType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Default Value Type', and utility methods for working with them.

See Also:
  `org.eclipse.datatools.modelbase.dbdefinition.DatabaseDefinitionPackage#getDefaultValueType()`

Field Summary
`static int` `CURRENT_DATE` The 'CURRENT DATE' literal value.
`static DefaultValueType` `CURRENT_DATE_LITERAL` The 'CURRENT DATE' literal object.
`static int` `CURRENT_ID` The 'CURRENT ID' literal value.
`static DefaultValueType` `CURRENT_ID_LITERAL` The 'CURRENT ID' literal object.
`static int` `CURRENT_PATH` The 'CURRENT PATH' literal value.
`static DefaultValueType` `CURRENT_PATH_LITERAL` The 'CURRENT PATH' literal object.
`static int` `CURRENT_TIME` The 'CURRENT TIME' literal value.
`static DefaultValueType` `CURRENT_TIME_LITERAL` The 'CURRENT TIME' literal object.
`static int` `CURRENT_TIME_STAMP` The 'CURRENT TIME STAMP' literal value.
`static DefaultValueType` `CURRENT_TIME_STAMP_LITERAL` The 'CURRENT TIME STAMP' literal object.
`static int` `CURRENT_USER` The 'CURRENT USER' literal value.
`static DefaultValueType` `CURRENT_USER_LITERAL` The 'CURRENT USER' literal object.
`static int` `EXPRESSION` The 'EXPRESSION' literal value.
`static DefaultValueType` `EXPRESSION_LITERAL` The 'EXPRESSION' literal object.
`static int` `LITERAL` The 'LITERAL' literal value.
`static DefaultValueType` `LITERAL_LITERAL` The 'LITERAL' literal object.
`static int` `NO_DEFAULT` The 'NO DEFAULT' literal value.
`static DefaultValueType` `NO_DEFAULT_LITERAL` The 'NO DEFAULT' literal object.
`static int` `NULL` The 'NULL' literal value.
`static DefaultValueType` `NULL_LITERAL` The 'NULL' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Default Value Type' enumerators.

Method Summary
`static DefaultValueType` `get(int value)` Returns the 'Default Value Type' literal with the specified value.
`static DefaultValueType` `get(java.lang.String name)` Returns the 'Default Value Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CURRENT_DATE

    public static final int CURRENT_DATE

  The 'CURRENT DATE' literal value.

  See Also:
    `CURRENT_DATE_LITERAL`, Constant Field Values

### CURRENT_ID

    public static final int CURRENT_ID

  The 'CURRENT ID' literal value.

  See Also:
    `CURRENT_ID_LITERAL`, Constant Field Values

### CURRENT_PATH

    public static final int CURRENT_PATH

  The 'CURRENT PATH' literal value.

  See Also:
    `CURRENT_PATH_LITERAL`, Constant Field Values

### CURRENT_TIME_STAMP

    public static final int CURRENT_TIME_STAMP

  The 'CURRENT TIME STAMP' literal value.

  See Also:
    `CURRENT_TIME_STAMP_LITERAL`, Constant Field Values

### CURRENT_TIME

    public static final int CURRENT_TIME

  The 'CURRENT TIME' literal value.

  See Also:
    `CURRENT_TIME_LITERAL`, Constant Field Values

### CURRENT_USER

    public static final int CURRENT_USER

  The 'CURRENT USER' literal value.

  See Also:
    `CURRENT_USER_LITERAL`, Constant Field Values

### EXPRESSION

    public static final int EXPRESSION

  The 'EXPRESSION' literal value.

  See Also:
    `EXPRESSION_LITERAL`, Constant Field Values

### LITERAL

    public static final int LITERAL

  The 'LITERAL' literal value.

  See Also:
    `LITERAL_LITERAL`, Constant Field Values

### NO_DEFAULT

    public static final int NO_DEFAULT

  The 'NO DEFAULT' literal value.

  See Also:
    `NO_DEFAULT_LITERAL`, Constant Field Values

### NULL

    public static final int NULL

  The 'NULL' literal value.

  See Also:
    `NULL_LITERAL`, Constant Field Values

### CURRENT_DATE_LITERAL

    public static final DefaultValueType CURRENT_DATE_LITERAL

  The 'CURRENT DATE' literal object.

  If the meaning of 'CURRENT DATE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_DATE`

### CURRENT_ID_LITERAL

    public static final DefaultValueType CURRENT_ID_LITERAL

  The 'CURRENT ID' literal object.

  If the meaning of 'CURRENT ID' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_ID`

### CURRENT_PATH_LITERAL

    public static final DefaultValueType CURRENT_PATH_LITERAL

  The 'CURRENT PATH' literal object.

  If the meaning of 'CURRENT PATH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_PATH`

### CURRENT_TIME_STAMP_LITERAL

    public static final DefaultValueType CURRENT_TIME_STAMP_LITERAL

  The 'CURRENT TIME STAMP' literal object.

  If the meaning of 'CURRENT TIME STAMP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_TIME_STAMP`

### CURRENT_TIME_LITERAL

    public static final DefaultValueType CURRENT_TIME_LITERAL

  The 'CURRENT TIME' literal object.

  If the meaning of 'CURRENT TIME' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_TIME`

### CURRENT_USER_LITERAL

    public static final DefaultValueType CURRENT_USER_LITERAL

  The 'CURRENT USER' literal object.

  If the meaning of 'CURRENT USER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CURRENT_USER`

### EXPRESSION_LITERAL

    public static final DefaultValueType EXPRESSION_LITERAL

  The 'EXPRESSION' literal object.

  If the meaning of 'EXPRESSION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EXPRESSION`

### LITERAL_LITERAL

    public static final DefaultValueType LITERAL_LITERAL

  The 'LITERAL' literal object.

  If the meaning of 'LITERAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LITERAL`

### NO_DEFAULT_LITERAL

    public static final DefaultValueType NO_DEFAULT_LITERAL

  The 'NO DEFAULT' literal object.

  If the meaning of 'NO DEFAULT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NO_DEFAULT`

### NULL_LITERAL

    public static final DefaultValueType NULL_LITERAL

  The 'NULL' literal object.

  If the meaning of 'NULL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NULL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Default Value Type' enumerators.

Method Detail

### get

    public static DefaultValueType get(java.lang.String name)

  Returns the 'Default Value Type' literal with the specified name.

### get

    public static DefaultValueType get(int value)

  Returns the 'Default Value Type' literal with the specified value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.